RFE Katello commands should use custom referenced resource formatters

08/07/2014 07:28 AM - Tomáš Strachota

Status: Rejected   

Priority: Normal   

Assignee:    

Category: Hammer   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

hammer-cli-foreman uses field type Reference [1] with custom formatters [2] to display information about associated resources.

Katello should have similar formatter to make the output consistent and more condensed.

Original formatter in foreman outputs only names by default:

Users:

 1) admin

 2) test

and reflects option --show-ids:

Users:

 1) admin (id: 1)

 2) test (id: 83)

 Katello's mutation should be able to display labels.

[1] https://github.com/theforeman/hammer-cli-foreman/blob/master/lib/hammer_cli_foreman/output/fields.rb#L8

[2] https://github.com/theforeman/hammer-cli-foreman/blob/master/lib/hammer_cli_foreman/output/formatters.rb#L32

History

#1 - 08/07/2014 10:41 AM - Eric Helms

- Tracker changed from Bug to Feature

- Difficulty set to medium

- Triaged changed from No to Yes

#2 - 12/21/2015 11:45 AM - Eric Helms

- translation missing: en.field_release set to 114

#3 - 08/28/2019 07:22 PM - John Mitsch

- Status changed from New to Closed

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.

#4 - 08/28/2019 08:37 PM - Justin Sherrill

- Target version deleted (Katello Backlog)

#5 - 08/28/2019 08:45 PM - Justin Sherrill
https://github.com/theforeman/hammer-cli-foreman/blob/master/lib/hammer_cli_foreman/output/fields.rb#L8
https://github.com/theforeman/hammer-cli-foreman/blob/master/lib/hammer_cli_foreman/output/formatters.rb#L32


- Status changed from Closed to Rejected
